> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://apidocs.polytomic.com/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://apidocs.polytomic.com/_mcp/server. # Update Organization PUT https://app.polytomic.com/api/organizations/{id} Content-Type: application/json Updates an organization's configuration. > 🚧 Requires partner key > > This endpoint is only accessible using [partner keys](../../../guides/obtaining-api-keys#partner-keys). Reference: https://apidocs.polytomic.com/api-reference/organization/update ## Authentication - `Authorization` header (basic auth, required) — This is the Polytomic deployment key (on-premises only) - `Authorization` header (bearer token, required) — This is the Polytomic API key ## Request ### Path parameters - `id` (string, required) — Unique identifier of the organization to update. ### Body (application/json) This endpoint expects a V2UpdateOrganizationRequestSchema. - `name` (string, required) — Human-readable name of the organization. Must be unique across the partner account. - `client_id` (string, optional) — OIDC client ID issued by the identity provider. - `client_secret` (string, optional) — OIDC client secret issued by the identity provider. Write-only; never returned in responses. - `issuer` (string, optional) — OIDC issuer URL for organizations using OpenID Connect single sign-on. - `sso_domain` (string, optional) — Email domain used to match users to this organization during SSO sign-in. - `sso_org_id` (string, optional) — WorkOS organization identifier linking this organization to its SAML/SSO configuration. ## Response ### 200 OK - `data` (V2Organization, optional) ## Errors ### 401 Unauthorized Error Unauthorized - `code` (integer, optional) — Application-specific error code. - `context` (map from string to any, optional) — Application context. - `error` (string, optional) — Error message. - `status` (string, optional) — Status text. ### 403 Forbidden Error Forbidden - `key` (string, optional) - `message` (string, optional) - `metadata` (map from string to any, optional) - `status` (integer, optional) ### 409 Conflict Error Conflict - `key` (string, optional) - `message` (string, optional) - `metadata` (map from string to any, optional) - `status` (integer, optional) ### 422 Unprocessable Entity Error Unprocessable Entity - `key` (string, optional) - `message` (string, optional) - `metadata` (map from string to any, optional) - `status` (integer, optional) ### 500 Internal Server Error Internal Server Error - `key` (string, optional) - `message` (string, optional) - `metadata` (map from string to any, optional) - `status` (integer, optional) ## Types ### V2Organization - `id` (string, optional) — Unique identifier of the organization. - `issuer` (string, optional) — OIDC issuer URL for organizations using OpenID Connect single sign-on. - `name` (string, optional) — Human-readable name of the organization. - `sso_domain` (string, optional) — Email domain used to match users to this organization during SSO sign-in. - `sso_org_id` (string, optional) — WorkOS organization identifier linking this organization to its SAML/SSO configuration. ## Examples **Request** ```json { "name": "My Organization" } ``` **Response** ```json { "data": { "id": "string", "issuer": "https://example.com", "name": "My Organization", "sso_domain": "example.com", "sso_org_id": "123456" } } ``` **SDK Code** ```typescript import { PolytomicClient } from "polytomic"; async function main() { const client = new PolytomicClient({ token: "YOUR_TOKEN_HERE", version: "X-Polytomic-Version", }); await client.organization.update("248df4b7-aa70-47b8-a036-33ac447e668d", { name: "My Organization", }); } main(); ``` ```python from polytomic import Polytomic client = Polytomic( token="YOUR_TOKEN_HERE", version="X-Polytomic-Version", ) client.organization.update( id="248df4b7-aa70-47b8-a036-33ac447e668d", name="My Organization", ) ``` ```go package example import ( context "context" polytomic "github.com/polytomic/polytomic-go/v24" client "github.com/polytomic/polytomic-go/v24/client" option "github.com/polytomic/polytomic-go/v24/option" ) func do() { client := client.NewClient( option.WithToken( "YOUR_TOKEN_HERE", ), option.WithVersion( "X-Polytomic-Version", ), ) request := &polytomic.UpdateOrganizationRequestSchema{ Name: "My Organization", } client.Organization.Update( context.TODO(), "248df4b7-aa70-47b8-a036-33ac447e668d", request, ) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://app.polytomic.com/api/organizations/248df4b7-aa70-47b8-a036-33ac447e668d") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Put.new(url) request["X-Polytomic-Version"] = 'X-Polytomic-Version' request.basic_auth("", "") request["Content-Type"] = 'application/json' request.body = "{\n \"name\": \"My Organization\"\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.put("https://app.polytomic.com/api/organizations/248df4b7-aa70-47b8-a036-33ac447e668d") .header("X-Polytomic-Version", "X-Polytomic-Version") .basicAuth("", "") .header("Content-Type", "application/json") .body("{\n \"name\": \"My Organization\"\n}") .asString(); ``` ```php request('PUT', 'https://app.polytomic.com/api/organizations/248df4b7-aa70-47b8-a036-33ac447e668d', [ 'body' => '{ "name": "My Organization" }', 'headers' => [ 'Content-Type' => 'application/json', 'X-Polytomic-Version' => 'X-Polytomic-Version', ], 'auth' => ['', ''], ]); echo $response->getBody(); ``` ```csharp using RestSharp; using RestSharp.Authenticators; var client = new RestClient("https://app.polytomic.com/api/organizations/248df4b7-aa70-47b8-a036-33ac447e668d"); client.Authenticator = new HttpBasicAuthenticator("", ""); var request = new RestRequest(Method.PUT); request.AddHeader("X-Polytomic-Version", "X-Polytomic-Version"); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"name\": \"My Organization\"\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let credentials = Data(":".utf8).base64EncodedString() let headers = [ "X-Polytomic-Version": "X-Polytomic-Version", "Authorization": "Basic \(credentials)", "Content-Type": "application/json" ] let parameters = ["name": "My Organization"] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://app.polytomic.com/api/organizations/248df4b7-aa70-47b8-a036-33ac447e668d")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "PUT" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```